#
# spec file for package udftools (Version 1.0.0b3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           udftools
BuildRequires:  readline-devel
License:        GPL
Group:          System/Filesystems
Provides:       udf 
Obsoletes:      udf 
Autoreqprov:    on
Version:        1.0.0b3
Release:        15.2
Summary:        UDF filesystem tools
Source:         %name-%{version}.tar.bz2
Source1:        http://www.kernel.org/pub/linux/kernel/people/axboe/tools/cdmrw.c
Patch:          %name-%{version}.dif
Patch1:         udftools-1.0.0b3-pktsetup-chardev.patch
Patch2:         udftools-gcc4.patch
Patch3:         udftools-include.patch
Patch4:         cdmrw-include.patch
URL:            http://linux-udf.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
These are tools for UDF file systems as used, e.g., on DVD-ROMs.



Authors:
--------
    Ben Fennema <bfennema@falcon.csc.calpoly.edu>
    Jens Axboe <axboe@suse.de>
    Paul Thompson <set@pobox.com>

%debug_package
%prep
%setup -q
cp -a %{S:1} .
%patch
%patch1 -p1
%patch2
%patch3
%patch4

%build
gcc $RPM_OPT_FLAGS cdmrw.c -o cdmrw
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=%_prefix \
	--mandir=%{_mandir} \
	--libdir=%_libdir
make

%install
rm -Rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install cdmrw $RPM_BUILD_ROOT/usr/bin/

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS README
%_libdir/libudffs.*
/usr/bin/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man8/*.8.gz

%changelog -n udftools
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 04 2005 - sbrabec@suse.cz
- Added cdmrw for preformatting of CD-MRW media.
- Fixed missing includes.
* Wed Jun 15 2005 - hvogel@suse.de
- Update to 1.0.0b3
* Thu Nov 06 2003 - schwab@suse.de
- Fix quoting in configure script.
* Wed Jun 12 2002 - ro@suse.de
- fixed build for bigendian
* Thu Apr 25 2002 - uli@suse.de
- fixed for lib64
* Tue Apr 02 2002 - ro@suse.de
- use AC_LIBOBJ for new automake/autoconf
* Tue Feb 26 2002 - ro@suse.de
- copy/rename from udf package
- update to 1.0.0b2
* Wed Oct 10 2001 - stepan@suse.de
- use kernel-source instead of lx_sus22 to get package
  working on ia64, too. Kernel 2.4 is default now anyways.
* Mon Apr 02 2001 - uli@suse.de
- update -> 0.9.3
- don't build module (it's not going into the package anyway)
* Fri Dec 01 2000 - ro@suse.de
- use lx_sus22 for now
* Thu Oct 26 2000 - ro@suse.de
- LFS fixed
* Tue Jun 20 2000 - ro@suse.de
- fixed make oldconfig
* Tue Mar 07 2000 - ro@suse.de
- don't try to compile packet-writing tools
* Tue Mar 07 2000 - ro@suse.de
- update to 0.9.1
- removed module from filelist (in suse-kernel now)
* Fri Jan 28 2000 - ro@suse.de
- update to 0.9.0
* Sat Oct 30 1999 - ro@suse.de
- update to 0.8.9.3: they finally fixed the "73-files-in-a-dir" bug
* Sun Oct 17 1999 - ro@suse.de
- make oldconfig with 'yes "n"'
* Tue Oct 12 1999 - ro@suse.de
- update to 0.8.9.2 / fixed configure script
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 20 1999 - ro@suse.de
- update to 0.8.8
- hack to compile on alpha
* Tue Aug 10 1999 - uli@suse.de
- update -> 0.8.7
* Thu Jun 03 1999 - uli@suse.de
- update 0.8.3 -> 0.8.5
* Mon May 03 1999 - ro@suse.de
- use kernmod's .config on alpha as well
* Sun May 02 1999 - ro@suse.de
- specfile fix for kernelconfig
* Sat May 01 1999 - ro@suse.de
- use kernelconfig from kernmod-package
* Thu Apr 29 1999 - ro@suse.de
- update to 0.8.3
* Thu Apr 08 1999 - ro@suse.de
- update to 0.8.2
* Thu Mar 11 1999 - uli@suse.de
- added missing doc files
* Thu Mar 11 1999 - uli@suse.de
- new package, version 0.8
